Get storefront approval routing
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/approval-routing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/approval-routing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/approval-routing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"policies": [
{
"id": "<string>",
"storefrontId": "<string>",
"primaryUserIds": [
"<string>"
],
"fallbackUserIds": [
"<string>"
],
"primaryRoleKeys": [],
"fallbackRoleKeys": [],
"primaryChannels": [],
"fallbackChannels": [],
"reminderAfterMinutes": 0,
"escalateAfterMinutes": 0,
"version": 0,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"eligibleUsers": [
{
"id": "<string>",
"email": "jsmith@example.com",
"name": "<string>"
}
],
"eligibleRoles": [
{
"label": "<string>",
"activeUserCount": 4503599627370495
}
],
"canManage": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Get storefront approval routing
Returns explicit primary and fallback audiences, delivery channels, SLA settings, and active role/user choices for media-buy and creative approval. Customer admins only.
GET
/
approval-routing
Get storefront approval routing
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/approval-routing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/approval-routing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/approval-routing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"policies": [
{
"id": "<string>",
"storefrontId": "<string>",
"primaryUserIds": [
"<string>"
],
"fallbackUserIds": [
"<string>"
],
"primaryRoleKeys": [],
"fallbackRoleKeys": [],
"primaryChannels": [],
"fallbackChannels": [],
"reminderAfterMinutes": 0,
"escalateAfterMinutes": 0,
"version": 0,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"eligibleUsers": [
{
"id": "<string>",
"email": "jsmith@example.com",
"name": "<string>"
}
],
"eligibleRoles": [
{
"label": "<string>",
"activeUserCount": 4503599627370495
}
],
"canManage": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}⌘I